# Generated by rust2rpm 21
%bcond_without check

%global crate Inflector

Name:           rust-%{crate}
Version:        0.11.4
Release:        %mkrel 3
Summary:        Adds String based inflections for Rust
Group:          Development/Rust

# Upstream license specification: BSD-2-Clause
License:        BSD
URL:            https://crates.io/crates/Inflector
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
BuildArch:      noarch

BuildRequires:  rust-packaging >= 21
BuildRequires:  crate(lazy_static/default) >= 1.2.0
BuildRequires:  crate(regex/default) >= 1.1.0

%global _description %{expand:
Adds String based inflections for Rust. Snake, kebab, camel, sentence, class,
title and table cases as well as ordinalize, deordinalize, demodulize, foreign
key, and pluralize/singularize are supported as both traits and pure functions
acting on String types.}

%description %{_description}

%package        devel
Summary:        %{summary}
Group:          Development/Rust
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
# FIXME: no license files detected
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
Group:          Development/Rust
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+heavyweight-devel
Summary:        %{summary}
Group:          Development/Rust
BuildArch:      noarch

%description -n %{name}+heavyweight-devel %{_description}

This package contains library source intended for building other packages which
use the "heavyweight" feature of the "%{crate}" crate.

%files       -n %{name}+heavyweight-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
Group:          Development/Rust
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages which
use the "lazy_static" feature of the "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
Group:          Development/Rust
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
Group:          Development/Rust
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.11.4-3.mga10
+ Revision: 2210743
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Rust

* Wed Mar 23 2022 umeabot <umeabot> 0.11.4-2.mga9
+ Revision: 1821700
- Mageia 9 Mass Rebuild

* Sat Mar 05 2022 guillomovitch <guillomovitch> 0.11.4-1.mga9
+ Revision: 1788894
- imported package rust-Inflector


* Sat Mar 05 2022 Guillaume Rousse <guillomovitch@gmail.com> - 0.11.4-1
- Initial package
